Package com.io7m.idstore.model

# Record Class IdUserColumnOrdering

java.lang.Object
java.lang.Record
com.io7m.idstore.model.IdUserColumnOrdering

Record Components:
  `column` - The column
  `ascending` - `true` if the column values should be ascending

public record IdUserColumnOrdering(IdUserColumn column, boolean ascending) extends Record
The ordering of a particular user column.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdUserColumnOrdering(IdUserColumn column, boolean ascending)`
  The ordering of a particular user column.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `ascending()`
  Returns the value of the `ascending` record component.
  `IdUserColumn`
  `column()`
  Returns the value of the `column` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdUserColumnOrdering

    public IdUserColumnOrdering(IdUserColumn column, boolean ascending)
    The ordering of a particular user column.
    Parameters:
      `column` - The column
      `ascending` - `true` if the column values should be ascending

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### column

    public IdUserColumn column()
    Returns the value of the `column` record component.
    Returns:
      the value of the `column` record component

  - ### ascending

    public boolean ascending()
    Returns the value of the `ascending` record component.
    Returns:
      the value of the `ascending` record component